# Class NativeComponent

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.NativeComponent

Direct Known Subclasses:
  `APIVersion, ConnectionBase, ConnectionSettings, Keycode`

public class NativeComponent extends Component

## Field Summary

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NativeComponent()`

## Method Summary

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeComponent

protected NativeComponent()